Subject: Re: [PATCH v11 2/2] binder: report txn errors via generic netlink

From: Jakub Kicinski <[email-masked]>
Date: Thu, 9 Jan 2025 16:18:25 -0800

On Thu, 9 Jan 2025 23:19:40 +0000 Carlos Llamas wrote:
> On Thu, Jan 09, 2025 at 12:13:00PM -0800, Jakub Kicinski wrote:
> > On Thu, 9 Jan 2025 11:48:24 -0800 Li Li wrote:  
> > > Cleaning up in the NETLINK_URELEASE notifier is better since we
> > > register the process with the netlink socket. I'll change the code
> > > accordingly.  
> > 
> > Hm. Thought I already told you this. Maybe I'm mixing up submissions.
> > 
> > Please the unbind callback or possibly the sock priv infra
> > (genl_sk_priv_get, sock_priv_destroy etc).  
> 
> Sorry, it was me that suggested NETLINK_URELEASE. BTW, I did try those
> genl_family callbacks first but I couldn't get them to work right away
> so I moved on. I'll have a closer look now to figure out what I did
> wrong. Thanks for the suggestion Jakub!

Hm, that's probably because there is no real multicast group here :(
genl_sk_priv_get() and co. may work better in that case.
your suggestion of NETLINK_URELEASE may work too, tho, I think it's 
the most error prone